#
# spec file for package python-slixmpp
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   slixmpp
%define _tar_ver 123
Name:           python-slixmpp
Version:        1.3.0
Release:        lp150.1.2
Summary:        Python XMPP (Jabber) Library that Implements Everything as a Plugin
License:        MIT
Group:          Development/Languages/Python
Url:            https://slixmpp.readthedocs.io/
Source:         https://dev.louiz.org/attachments/download/%{_tar_ver}/%{_name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE slixmpp-fix-legacyauth.patch nyov@nexnode.net -- Fix an error in legacyauth support.
Patch0:         %{_name}-fix-legacyauth.patch
BuildRequires:  gnupg
BuildRequires:  pkgconfig
BuildRequires:  python3 >= 3.4
BuildRequires:  python3-Cython
BuildRequires:  python3-dnspython
BuildRequires:  python3-xml
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(python3)

%description
Slixmpp is an XMPP library for Python. Based on SleekXMPP, it uses
asyncio instead of threads. XEP (XMPP Extended Protocol) coverage is
realized as plugins.

%package -n python3-%{_name}
Summary:        Python XMPP (Jabber) Library that Implements Everything as a Plugin
Group:          Development/Languages/Python
Requires:       gnupg
Requires:       python3-dnspython

%description -n python3-%{_name}
Slixmpp is an XMPP library for Python. Based on SleekXMPP, it uses
asyncio instead of threads. XEP (XMPP Extended Protocol) coverage is
realized as plugins.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags}"
python3 setup.py build

%install
python3 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%check
python3 run_tests.py

%files -n python3-%{_name}
%doc LICENSE README.rst
%{python3_sitearch}/%{_name}/
%{python3_sitearch}/%{_name}-*

%changelog
* Sun Feb 11 2018 jengelh@inai.de
- Trim future goals from description, say what it does now.
* Sat Jan 20 2018 sor.alexei@meowr.ru
- Update to version 1.3.0:
  * Implement XEP-0300: Use of Cryptographic Hash Functions in XMPP.
  * Return a Future on clientxmpp.get_roster().
  * Fix custom stanza examples.
  * Fix the HTTP over XMPP and GTalk examples.
  * xmlstream: Warn when the parser is None when data is received.
  * Add an XMPP classifier to setup.py.
  * sasl: Merge two bytes instead of concatenating them at runtime.
  * Fix the port being set to 0 when connecting via hostname.
  * Pass SSL context to plain TLS connections.
  * xmlstream: Remove pygments dumping.
  * XEP-0319: Use the correct timezone.
  * Update RSM for asyncio.
  * Update the MAM plugin for asyncio and the new namespace.
    And add an example.
  * XEP-0054: Fix parsing the BINVAL element.
  * Record the current connection attempt in a future and allow
    cancellation.
  * Add a Markup plugin.
- Add the missing requirement of GnuPG.
- Enable tests.
* Sat Feb 11 2017 sor.alexei@meowr.ru
- Update to version 1.2.4:
  * Test more things before trying to build our stringprep module.
  * XMLStream: Break a long line to make it more readable.
  * Check for XML parsing errors and disconnect in that case.
  * Add missing asyncio.coroutine decorators.
  * Fix a partially-merged Google plugin from the commit acc52fd.
  * Fix an issue with carbons (CVE-2017-5589, bsc#1024690).
* Sat Dec 10 2016 sor.alexei@meowr.ru
- Initial package.
